Widget availability
const url = 'https://example.kwickbooking.com/public/v1/availability';const options = {method: 'GET', headers: {'X-KB-Publishable-Key': '<X-KB-Publishable-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.kwickbooking.com/public/v1/availability \ --header 'X-KB-Publishable-Key: <X-KB-Publishable-Key>'Free start times on a date for a party, with the seats left, for the widget’s time picker.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”OK
Availability search response for a venue + date range.
object
A bookable slot with remaining capacity (availability search result).
object
Example
{ "venueId": "01920000-0000-7000-8000-000000000001", "slots": [ { "date": "2026-10-16", "slotStart": "19:00", "remainingSeats": 18 } ]}Validation failed (https://developers.kwickblocks.ai/problems/validation-failed)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Validation failed
{ "type": "https://developers.kwickblocks.ai/problems/validation-failed", "title": "Validation failed", "status": 400, "detail": "Some of the details weren't valid. Please check them and try again."}Invalid or missing integration key (https://developers.kwickblocks.ai/problems/invalid-key)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Invalid or missing integration key
{ "type": "https://developers.kwickblocks.ai/problems/invalid-key", "title": "Invalid or missing integration key", "status": 401, "detail": "This integration key isn't valid. Ask the venue's admin for a new one."}RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Not found
{ "type": "https://developers.kwickblocks.ai/problems/not-found", "title": "Not found", "status": 404, "detail": "I couldn't find that."}Too many requests (https://developers.kwickblocks.ai/problems/rate-limited)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Too many requests
{ "type": "https://developers.kwickblocks.ai/problems/rate-limited", "title": "Too many requests", "status": 429, "detail": "There have been too many requests. Please try again in a minute."}